[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# GetJSONParserHandler

Get the current JSON parser handler

## Declaration

Source position: fpjson.pp line 798

`function GetJSONParserHandler: TJSONParserHandler;`

## Function result

The current parser callback value

## Description

GetJSONParserHandler can be used to get the current value of the JSON parser handler callback.

The fpJSON unit does not contain a JSON parser in itself: it contains simply the data structure and the ability to write JSON. The parsing must be done using a separate unit.

## See also

SetJSONParserHandler |  | Set the JSON parser handler
GetJSONStringParserHandler |  | return the current JSON string to JSON Data conversion callback
TJSONParserHandler |  | Callback to parse JSON into JSONData
GetJSON |  | Convert JSON string to JSON data structure